"use strict";
var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var React = require("react");
var react_image_gallery_1 = require("react-image-gallery");
require("react-image-gallery/styles/css/image-gallery.css");
var Carousel = (function (_super) {
    __extends(Carousel, _super);
    function Carousel(props) {
        var _this = _super.call(this, props) || this;
        _this.state = {
            imgs: _this.props.images
        };
        return _this;
    }
    Carousel.prototype.render = function () {
        var images = this._setupImages();
        return (React.createElement("div", null,
            React.createElement(react_image_gallery_1.default, { items: images, slideInterval: this.props.scrollSpeed * 5000, showBullets: this.props.showBulletButtons, showThumbnails: this.props.showThumpnails })));
    };
    Carousel.prototype.componentWillReceiveProps = function (nextProps) {
    };
    Carousel.prototype._setupImages = function () {
        var _this = this;
        var items = this.state.imgs.map(function (item, i) { return ({
            original: _this.state.imgs[i].src,
            thumbnail: _this.state.imgs[i].src,
            description: _this.state.imgs[i].description
        }); });
        return items;
    };
    return Carousel;
}(React.Component));
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = Carousel;

//# sourceMappingURL=Carousel.js.map
