"use strict";
var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var React = require("react");
var office_ui_fabric_react_1 = require("office-ui-fabric-react");
var PanelSmallRightExample = (function (_super) {
    __extends(PanelSmallRightExample, _super);
    function PanelSmallRightExample() {
        var _this = _super.call(this) || this;
        _this.state = {
            showPanel: true
        };
        return _this;
    }
    PanelSmallRightExample.prototype.render = function () {
        return (React.createElement("div", null,
            React.createElement(office_ui_fabric_react_1.Panel, { isOpen: this.state.showPanel, type: office_ui_fabric_react_1.PanelType.smallFixedFar, onDismiss: this._closePanel.bind(this), headerText: 'Panel - Small, right-aligned, fixed' },
                React.createElement("span", { className: 'ms-font-m' }, "Content goes here."))));
    };
    PanelSmallRightExample.prototype._showPanel = function () {
        this.setState({ showPanel: true });
    };
    PanelSmallRightExample.prototype._closePanel = function () {
        this.setState({ showPanel: false });
    };
    return PanelSmallRightExample;
}(React.Component));
exports.PanelSmallRightExample = PanelSmallRightExample;

//# sourceMappingURL=UploadPanelComponent.js.map
