"use strict";
var sp_webpart_base_1 = require("@microsoft/sp-webpart-base");
var CustomButtonPane = (function () {
    function CustomButtonPane(targetProperty, properties) {
        this.type = sp_webpart_base_1.PropertyPaneFieldType.Custom;
        this.targetProperty = targetProperty;
        this.properties = {
            text: properties.text,
            onRender: this.onRender.bind(this)
        };
    }
    CustomButtonPane.prototype.onRender = function (elem) {
        this.elem.innerHTML = '<button  type="button" href={this.context.pageContext.site.absoluteUrl}>';
    };
    return CustomButtonPane;
}());
exports.CustomButtonPane = CustomButtonPane;

//# sourceMappingURL=CustomButtonPane.js.map
