import * as React from 'react';
import { IBannerWpProps } from './IBannerWpProps';
import "react-image-gallery/styles/css/image-gallery.css";
export interface IBannerState {
    imgs: ISPImage[];
    listId: string;
}
export interface ISPImage {
    id: string;
    src: string;
    isAtive: boolean;
    description: string;
}
export default class BannerWp extends React.Component<IBannerWpProps, IBannerState> {
    constructor(props: any);
    render(): JSX.Element;
    componentWillReceiveProps(nextProps: IBannerWpProps): void;
    private _setupImages();
    private _setDefaultImage();
    private _getImages(items, list);
    private _getUrls(items, list);
    private _getImagesURLFromSP(listId);
}
